workflow.pricing.calculate
Calculate pricing for Business Application Workflows.
POST http://api.kompliant.com/workflow.pricing.calculate (OpenAPI specification)
Usage Info
This method generates and stores pricing information based on information related to the Business and Sales Info entities. This process could be a requirement to complete a Workflow.
This method is currently only allowed for Workflows of type BUSINESS_APPLICATION.
Request
Authentication: KSig1-HMAC-SHA256
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| workflow_id | string | Yes | The identifier for the Workflow. |
Example
{
"workflow_id": "w_7h1EpxerrZQyLnRC1EQ9Ck",
}
Response
Data
An empty data object is returned when the calculation process is successful.
Example
{
"meta": {
"status": "SUCCESS",
"trace_id": "trc_6zNzQZHSf26V83BO3uW6dS",
"version": "2025-03-24"
},
"data": {}
}
Errors
| Error Code | HTTP Code | Possible Cause |
|---|---|---|
| BAD_REQUEST | 400 | Required parameters not provided. Invalid values provided. |
| ENTITY_NOT_FOUND | 400 | The workflow_id provided does not exist. |
| MISSING_REQUIREMENTS | 400 | The Workflow has missing requirements. For more details on the content of this error response go to workflow.canComplete. |
| SYSTEM_RULE_VIOLATION | 400 | System rule violations are described below |
| ACCOUNT_CONFIGURATION_VIOLATION | 400 | Account configuration rule violations are described below. |
System Rule Violations
When a SYSTEM_RULE_VIOLATION error occurs, the response will include additional entity_type and sub_code fields to provide more specific information:
| Entity Type | Sub-code | Description |
|---|---|---|
| Workflow | INVALID_WORKFLOW_TYPE | The method is not allowed for the Workflow type. |
| Workflow | WORKFLOW_CREATED | The Workflow is in CREATED state and pricing cannot be calculated. |
| Workflow | WORKFLOW_ENDED | The Workflow is in ENDED state and pricing cannot be calculated. |
ACCOUNT_CONFIGURATION_VIOLATION
When a ACCOUNT_CONFIGURATION_VIOLATION error occurs, the response will include additional entity_type and sub_code fields to provide more specific information:
| Entity Type | Sub-code | Description |
|---|---|---|
| Workflow | FEATURE_NOT_ENABLED | Pricing feature is not enabled for this account. |
Updated 4 months ago